Bug 181060 - Includes package with bad license - floatflt
Includes package with bad license - floatflt
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 10:41 EST by Michael A. Peters
Modified: 2013-07-02 19:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 04:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2006-02-12 10:41:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
/usr/share/texmf/tex/latex/floatflt/floatflt.sty

That's from

http://www.ctan.org/tex-archive/help/Catalogue/entries/floatflt.html

where it is marked "nosell" at the license

Downloading the zip and looking at the readme - it says

---
Anyone is free to re-distribute these files provided the restrictions
mentioned in 'floatflt.ins' are obeyed.  These are mainly that the 
two files always must be distributed together and that noone is 
allowed to distribute the files for profit.
---

I'm pretty sure that means it has to be excluded from Fedora - unless the author has made an exception somewhere about being a minor part in a larger work.

The .ins file says:

--
%  user(s) of your file(s).  You may freely distribute the
%  files floatflt.dtx and floatflt.ins, provided: 1. You do not
%  take money for the distribution or use of these files except
%  for a nominal charge for diskettes and postage; and 2. You
%  always distribute `floatflt.dtx' and `floatflt.ins' together
%  at the same time. 
--

which could be a problem for Fedora resellers.



Version-Release number of selected component (if applicable):
tetex-3.0-9.FC4

How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
  

Additional info:
Comment 1 Jindrich Novy 2006-02-13 04:14:53 EST
Sorry, IANAL, but the head in the floatflt.sty says:

%% The original source files were:
%%
%% floatflt.dtx  (with options: `paketkod')
%%
%% Copyright 1994-1998 Mats Dahlgren <matsd@sssk.se>
%%
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%   http://www.latex-project.org/lppl.txt
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2003/12/01 or later.

from which I see the generated floatflt.sty is under LaTeX license and
floatflt.dtx isn't shipped at all in the tetex-* packages.

Note You need to log in before you can comment on or make changes to this bug.